import React from "react";
import style from "./Card.module.css";
import { Header } from "@/components/Layout/Card/Header";
import Image from "next/image";
import blog from "@/public/images/blogsingle.jpg";
import { Typo, Details } from "@/components/Base/Typography/Typo";
export const Card = ({
  title,
  description,
  posted,
  author,
  publish,
  time,
  details,
  extradetails,
  extradescription,
  moredetails,
  moredescription,
  data,
  heading,
  authorname,
}) => {
  return (
    <>
      <div className={style.container}>
        <div className={style.block}>
          <div className={style.head}>
            <Header title={title} />
          </div>
          <div className={style.publish}>
            <span>{posted}</span>
            <span>{author}</span>
            <span>{publish}</span>
            <span>{time}</span>
          </div>
        </div>
        <div className={style.img}>
          <Image
            src={blog}
            alt="Blog-image"
            className={style.imgstyle}
            style={{ borderRadius: "16px" }}
          />
        </div>

        <div className={style.description}>
          <Details details={details} />
          <Typo description={description} />
          <div className={style.auth}>
            <Details details={heading} />
            <Typo description={authorname} />
          </div>
          <Typo description={data} />
          <Details details={extradetails} />
          <Typo description={extradescription} />
          <Details details={moredetails} />
          <Typo description={moredescription} />
        </div>
      </div>
    </>
  );
};
